Subject: Re: MPC5200B and the CAN interface

From: Gary Thomas <[email-masked]>
Date: Sat, 08 Nov 2008 05:32:35 -0700

Nick wrote:
> Hi Everyone,
> 
> I am looking for information on how to use the CAN driver for the MPC5200b.  I have built the kernel (2.6.27) with the MPC5200b can bus drivers and I see them being initialized on start up.
> 
> [   37.122041] can: controller area network core (rev 20071116 abi 8)
> [   37.128687] NET: Registered protocol family 29
> [   37.133379] can: raw protocol (rev 20071116)
> [   37.137807] can: broadcast manager protocol (rev 20080415)

I'm pretty sure this is just the SocketCAN interface.

You still need a hardware driver (and one which is SocketCAN compatible).
I don't see such a driver for the MSCAN (the hardware on the MPC5200) in
the stock 2.6.27 tree.

-- 
------------------------------------------------------------
Gary Thomas                 |  Consulting for the
MLB Associates              |    Embedded world
------------------------------------------------------------